#include <crypto/sc.h>

NTL_CLIENT


int main()
{
	ZZ k = hex_to_ZZ("2b73aef0857d77811f352c073b6108d72d9810a30914dff4");
	ostring key = i2osp(k, 32);

	ostring msg = "d8ad8a57qwewre1eb1015ca71be2b73aef0857d77klkkkkd8a571eb1015ca71be2b73aef0857d77kjopkpod8a571eb1015ca71be2b73aef0857d77jkk571eb1015ca71be2b73aef0857d77";

	ostring x, y;
	AES aes(32);
	SC1 sc(aes);

	x = sc.encrypt(key, msg);
	y = sc.decrypt(key, x);

	if(msg != y)
		cout << endl << "SC1 fail " << endl;
	else
		cout << endl << "SC1 success" << endl;
}

